package com.thebrokenrail.sorcerycraft.advancement;

import com.google.gson.JsonDeserializationContext;
import com.google.gson.JsonObject;
import com.thebrokenrail.sorcerycraft.SorceryCraft;
import net.minecraft.advancement.criterion.AbstractCriterion;
import net.minecraft.advancement.criterion.AbstractCriterionConditions;
import net.minecraft.server.network.ServerPlayerEntity;
import net.minecraft.util.Identifier;

public class CreateSpellCriterion extends AbstractCriterion<CreateSpellCriterion.Conditions> {
    private static final Identifier ID = new Identifier(SorceryCraft.NAMESPACE, "create_spell");

    public CreateSpellCriterion() {
    }

    @Override
    public Identifier getId() {
        return ID;
    }

    @Override
    public Conditions conditionsFromJson(JsonObject obj, JsonDeserializationContext context) {
        return new CreateSpellCriterion.Conditions();
    }

    public void trigger(ServerPlayerEntity player) {
        test(player.getAdvancementTracker(), (conditions) -> true);
    }

    public static class Conditions extends AbstractCriterionConditions {
        public Conditions() {
            super(ID);
        }
    }
}