package com.thebrokenrail.sorcerycraft.spell;

import com.thebrokenrail.sorcerycraft.spell.api.Spell;
import net.minecraft.item.ItemStack;
import net.minecraft.item.Items;
import net.minecraft.util.Identifier;

public class SteadfastSpell extends Spell {
    public SteadfastSpell(Identifier id, int level) {
        super(id, level);
    }

    @Override
    public int getXPCost() {
        return 18;
    }

    @Override
    public ItemStack getItemCost() {
        return new ItemStack(Items.DIAMOND);
    }

    @Override
    public int getMaxLevel() {
        return 1;
    }
}
